/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* Main */
.site-branding-container .site-logo {
  margin-right: .5rem;
}

.wp-singular .entry-title,
.suunakood-content {
  text-align: center;
}

.suunakood-content {
  margin-bottom: 3rem;
}

.calling-code {
  width: 200px;
  margin: 1rem auto;
  background: var(--base-2);
  padding: 1.5rem;
  border-radius: .5rem;
  font-size: 2rem;
  font-weight: 600;
}

.copied-tooltip {
  position: absolute;
  left:50%;
  transform: translateX(-50%);
  bottom: 10px;
  font-size: .75rem;
  text-transform: uppercase;
  color: var(--accent);
}

/* TABLEPRESS */

.dt-container .dt-input {
  width: 250px !important;
  max-width: 100%;
}

.dt-container .dt-layout-cell {
  padding: 20px 0 !important;
}

.tablepress > :not(caption) > * > * {
  padding: calc( var(--padding) * 2) !important;
}

.tablepress > :where(thead, tfoot) > tr > * {
  background-color: var(--base) !important;
}

.tablepress > :where(tbody.row-striping) > :nth-child(2n of :where(:not(.child, .dtrg-group))) + :where(.child) > *, .tablepress > :where(tbody.row-striping) > :nth-child(2n of :where(:not(.child, .dtrg-group))) > * {
  background-color: var(--base-2) !important;
}

.tablepress > :where(thead) + tbody > :where(:not(.child)) > *, .tablepress > tbody > * ~ :where(:not(.child)) > *, .tablepress > tfoot > :where(:first-child) > * {
  border-top: 1px solid var(--base) !important;
}

.tablepress > .row-hover > tr:has(+ .child:hover) > *, .tablepress > .row-hover > tr:hover + :where(.child) > *, .tablepress > .row-hover > tr:where(:not(.dtrg-group)):hover > * {
  background-color: var(--contrast-3) !important;
}

/* MEGAMENU */
@media (min-width: 1025px) {
	#menu-item-641 > .sub-menu {
		position: absolute;
		top: 100%;

		display: grid;
		grid-template-columns: repeat(6, minmax(160px, 1fr));

		padding: 1.5rem 2rem;
		background: #fff;

		max-height: 70vh;
		overflow-y: auto;

		opacity: 0;
		visibility: hidden;
		pointer-events: none;

		box-shadow: 0 10px 30px rgba(0,0,0,.15);
		z-index: 99999;
	}

	/* Show on hover / focus */
	#menu-item-641:hover > .sub-menu,
	#menu-item-641.sfHover > .sub-menu,
	#menu-item-641:focus-within > .sub-menu {
		opacity: 1;
		visibility: visible;
		pointer-events: auto;
	}

	#menu-item-641 .sub-menu a {
		white-space: normal;
		line-height: 1.5;
	}
}

@media (max-width: 1200px) {
    #menu-item-641 > .sub-menu {
        grid-template-columns: repeat(4, 1fr);
    }
}